package com.szxgl.nft.service;

import com.szxgl.nft.entity.UserDO;
import com.szxgl.nft.utils.R;

public interface UserService {

    UserDO getUserDo(String openid);

    void addUser(UserDO userDO);

    R addPhone(String seed, String openid);

    UserDO getPhone(String seed);

    void addUserNftPhoto(String openid, String nickname,String walletAddr);
}
